Bug 1331372 (CVE-2016-4049)

Summary: CVE-2016-4049 quagga: denial of service vulnerability in BGP routing daemon
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: balajig81, carnil, mruprich, msekleta
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20160427,reported=20160427,source=oss-security,cvss2=2.6/AV:N/AC:H/Au:N/C:N/I:N/A:P,cvss3=5.9/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H,fedora-all/quagga=affected,rhel-5/quagga=wontfix,rhel-6/quagga=affected,rhel-7/quagga=wontfix
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the Quagga BGP routing daemon (bgpd). Under certain circumstances, a remote attacker could send a crafted packet to crash the bgpd daemon resulting in denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:51:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1331373, 1391919    
Bug Blocks: 1331374, 1386080    

Description Martin Prpič 2016-04-28 12:01:40 UTC
A denial of service flaw was found in the Quagga BGP routing daemon (bgpd). Under certain circumstances, an attacker could use a crafted packet to crash the bgpd service.

External References:

http://openwall.com/lists/oss-security/2016/04/27/7

Comment 1 Martin Prpič 2016-04-28 12:01:58 UTC
Created quagga tracking bugs for this issue:

Affects: fedora-all [bug 1331373]

Comment 5 errata-xmlrpc 2017-03-21 11:58:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0794 https://rhn.redhat.com/errata/RHSA-2017-0794.html